## TeplProgressInfoBar TeplProgressInfoBar — A TeplInfoBar containing a GtkProgressBar |

## Functions

TeplProgressInfoBar * | tepl_progress_info_bar_new ()
void | tepl_progress_info_bar_set_markup ()
void | tepl_progress_info_bar_set_text ()
void | tepl_progress_info_bar_set_fraction ()
void | tepl_progress_info_bar_pulse ()

## Properties

gboolean | has-cancel-button | Read / Write / Construct Only

## Types and Values

struct | TeplProgressInfoBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── TeplInfoBar
                                ╰── TeplProgressInfoBar

## Implemented Interfaces

TeplProgressInfoBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplProgressInfoBar is a TeplInfoBar containing a GtkProgressBar and a GtkLabel. As every TeplInfoBar it can also contain an icon, and other widgets can be added by the application as well.

The GtkLabel content can be modified after the TeplProgressInfoBar has been created.

## Functions

### tepl_progress_info_bar_new ()

    TeplProgressInfoBar *
    tepl_progress_info_bar_new (const gchar *icon_name,
                                const gchar *markup,
                                gboolean has_cancel_button);

#### Parameters

icon_name | a value for the “icon-name” property, or `NULL`. | [nullable]
markup | if not `NULL`, `tepl_progress_info_bar_set_markup()` is called. | [nullable]
has_cancel_button | a value for the “has-cancel-button” property. |

#### Returns

a new TeplProgressInfoBar widget.

Since: 6.0

### tepl_progress_info_bar_set_markup ()

    void
    tepl_progress_info_bar_set_markup (TeplProgressInfoBar *info_bar,
                                       const gchar *markup);

Calls `gtk_label_set_markup()` on the GtkLabel contained within the `info_bar` .

#### Parameters

info_bar | a TeplProgressInfoBar. |
markup | markup text. |

Since: 6.0

### tepl_progress_info_bar_set_text ()

    void
    tepl_progress_info_bar_set_text (TeplProgressInfoBar *info_bar,
                                     const gchar *text);

Calls `gtk_label_set_text()` on the GtkLabel contained within the `info_bar` .

#### Parameters

info_bar | a TeplProgressInfoBar. |
text | text. |

Since: 6.0

### tepl_progress_info_bar_set_fraction ()

    void
    tepl_progress_info_bar_set_fraction (TeplProgressInfoBar *info_bar,
                                         gdouble fraction);

Calls `gtk_progress_bar_set_fraction()` on the GtkProgressBar contained within the `info_bar` .

#### Parameters

info_bar | a TeplProgressInfoBar. |
fraction | fraction of the task that's been completed. |

Since: 6.0

### tepl_progress_info_bar_pulse ()

    void
    tepl_progress_info_bar_pulse (TeplProgressInfoBar *info_bar);

Calls `gtk_progress_bar_pulse()` on the GtkProgressBar contained within the `info_bar` .

#### Parameters

info_bar | a TeplProgressInfoBar. |

Since: 6.0

## Types and Values

### struct TeplProgressInfoBar

    struct TeplProgressInfoBar;

## Property Details

### The `“has-cancel-button”` property

      “has-cancel-button”        gboolean

Whether to add a Cancel button in the action area of the GtkInfoBar, with the `GTK_RESPONSE_CANCEL` response.

Owner: TeplProgressInfoBar

Flags: Read / Write / Construct Only

Default value: TRUE

Since: 6.0